
import java.util.Vector;

public abstract class AttachableElement extends PhysicsElement {
   protected AttachableElement (int id) {
      super(id);
   }
  /**
 * Attaches an attachable element (fixed hook or ball)
    * to an elastic element (spring or rubber)
 * @param e 	Either a spring or a rubber
 */
   public abstract void attachElastic (ElasticElement e);
   /**
 * Dettaches an attachable element (fixed hook or ball)
    * from an elastic element (spring or rubber)
    *
 * @param e 	Either a spring or a rubber
 */
   public abstract void detachElastic (ElasticElement e);
   /**
 * It returns a vector of elastic elements that have the attachable element
    * attached to them.
 */
   public abstract Vector<ElasticElement> getElastics();
   public abstract Vector2D getPosition();
}
   