import java.util.*;

public class FixedHook extends AttachableElement {
   private static int id=0;
   private Vector2D pos_t;     // current position at time t
   private Vector<ElasticElement> elastics;

   private FixedHook(){   // nobody can create a block without state
     super(id++);
   }
   public FixedHook(Vector2D pos){
      super(id++);
      pos_t = pos;
      elastics = new Vector<ElasticElement>();
   }
   public void attachElastic(ElasticElement e){
       elastics.add(e);
   }
   public void detachElastic(ElasticElement e){
       elastics.remove(e);
   }
   public Vector2D getPosition() {
      return pos_t;
   }
   public double getX() {
      return pos_t.getX();
   }
   public double getY() {
      return pos_t.getY();
   }
   public void setPosition(int x, int y){
      pos_t.set(x,y);
   }
   public String getDescription() {
      return "FixedHook_" + getId()+":"+pos_t.getDescription();
   }
   public String getState() {
      return getPosition()+"";
   }
   public Vector<ElasticElement> getElastics(){
       return elastics;
   }
}
