import java.awt.*;
import javax.swing.*;
import java.awt.Container;


/**
 * class that manages the applet functioning.
 * @author Claudio Price
 */

public class PhysicsLabApplet extends JApplet
{  
   public void init()
   {  
    MyWorld world = new MyWorld();
    if (getParameter("RefreshTime")!=null)
        world.setRefreshPeriod(Double.parseDouble(getParameter("RefreshTime")));
    if (getParameter("DeltaTime")!=null)
        world.setDelta_t(Double.parseDouble(getParameter("DeltaTime")));

    PhysicsLabPanel labPanel = new PhysicsLabPanel(world);
    GraphsPanel graphPanel = new GraphsPanel();

    if (getParameter("PlotWindowTime")!=null)
        graphPanel.setMaxTime(Double.parseDouble(getParameter("PlotWindowTime")));

      graphPanel.setAlignmentY(LEFT_ALIGNMENT);
      JSplitPane splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, labPanel, graphPanel);
      labPanel.setMinimumSize(new Dimension(700,500));
      graphPanel.setMinimumSize(new Dimension(300,500));
      splitPane.setDividerLocation(this.getWidth()-200);
      Container contentPane = getContentPane();
      contentPane.add(splitPane);
      world.setPanel(labPanel);
      ConfigurationMenuListener cListener = new ConfigurationMenuListener(world);
      WorldControlMenuListener wcListener = new WorldControlMenuListener(world);
      PhysicsLabMenuBar mb = new PhysicsLabMenuBar(cListener, wcListener);
      world.setMenuBar(mb);
      world.setGraphPanel(graphPanel);
      setJMenuBar(mb);
   }
}