import java.awt.*;
import javax.swing.JFrame;
import javax.swing.JSplitPane;

/**
 * class that the frame used by the main method in PhysicsLab.
 * @author Claudio Price
 */

public class PhysicsLabFrame extends JFrame
{    
   public PhysicsLabFrame() {
      setTitle("Small Physics Laboratory");
      setSize(MyWorld.WIDTH, MyWorld.HEIGHT+50);
      MyWorld world = new MyWorld();
      PhysicsLabPanel labPanel = new PhysicsLabPanel(world);
      GraphsPanel graphPanel = new GraphsPanel();
      graphPanel.setAlignmentY(LEFT_ALIGNMENT);
      JSplitPane splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, labPanel, graphPanel);
      labPanel.setMinimumSize(new Dimension(700,500));
      graphPanel.setMinimumSize(new Dimension(300,500));
      splitPane.setDividerLocation(this.getWidth()-200);
      Container contentPane = getContentPane();
      contentPane.add(splitPane);
      world.setPanel(labPanel);
      ConfigurationMenuListener cListener = new ConfigurationMenuListener(world);
      WorldControlMenuListener wcListener = new WorldControlMenuListener(world);
      PhysicsLabMenuBar mb = new PhysicsLabMenuBar(cListener, wcListener);
      world.setMenuBar(mb);
      world.setGraphPanel(graphPanel);
      setJMenuBar(mb);

   }
  
}
