import javax.swing.JFrame;
import javax.swing.*;
import java.awt.Container;

public class PhysicsLabMenuBar extends JMenuBar{
     private JMenu menu;
     private JMenuItem menuItem;
     private ButtonGroup group;

    public PhysicsLabMenuBar(ConfigurationMenuListener cl, WorldControlMenuListener wl){

      menu = new JMenu ("Configuration");
      add(menu);
      JMenu subMenu1 = new JMenu("Insert");
      menu.add(subMenu1);
      menuItem = new JMenuItem("Delete");
      menuItem.addActionListener(cl);
      menu.add(menuItem);
      
      menuItem = new JMenuItem("Ball");
      menuItem.addActionListener(cl);
      subMenu1.add(menuItem);
      menuItem = new JMenuItem("Fixed Hook");
      menuItem.addActionListener(cl);
      subMenu1.add(menuItem);
      menuItem = new JMenuItem("Spring");
      menuItem.addActionListener(cl);
      subMenu1.add(menuItem);
      menuItem = new JMenuItem("Rubber");
      menuItem.addActionListener(cl);
      subMenu1.add(menuItem);
      
      menu = new JMenu("MyWorld");
      add(menu);
      menuItem = new JMenuItem("Start");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Resume");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Stop");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Gravity");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Viscosity");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      subMenu1 = new JMenu("Simulator");
      menu.add(subMenu1);
      menuItem = new JMenuItem("Delta time");
      menuItem.addActionListener(wl);
      subMenu1.add(menuItem);
      menuItem = new JMenuItem("Graphics Refresh time");
      menuItem.addActionListener(wl);
      subMenu1.add(menuItem);
      menu = new JMenu("Select");
      menu.addActionListener(wl);
      menu.setToolTipText("Select mass to be plotted");
      menuItem = new JMenuItem("No mass yet");
      menuItem.setEnabled(false);
      menu.add(menuItem);
      add(menu);
   }
     /**
 * It adds a Ball element to the Select Menu.
 * @param ball   Ball that's been added to the world.
 * @param cl   World listener interface.
 */

    public void AddMassOption(Ball ball, ConfigurationMenuListener cl){
        if (menuItem!=null){
            menu.remove(menuItem);
            group = new ButtonGroup();
        }
        menuItem = new JRadioButtonMenuItem(ball.getDescription().split(":")[0]);
        menuItem.addActionListener(cl);
        group.add(menuItem);
        menu.add(menuItem);
        menuItem=null;
    }

    /**
 * It deletes a Ball element from the Select Menu.
 * @param id   id number of the element being erased.
 */
    public void DeleteMassOption(int id){
        JRadioButtonMenuItem radioButton;
        int i = 0;
        try{
            while(true){
            radioButton = (JRadioButtonMenuItem) menu.getItem(i);
            if (radioButton.getText().substring(5).equals(String.valueOf(id))){
                group.remove(radioButton);
                menu.remove(radioButton);
                i--;
            }
            i++;
            }
        }catch(ArrayIndexOutOfBoundsException e){
            if (i==0){
                menuItem = new JMenuItem("No mass yet");
                menuItem.setEnabled(false);
                menu.add(menuItem);
            }
        }
        
    }
}